Amazon store checkout fails because of certificate error

Bug #980300 reported by Frederik Elwert on 2012-04-12
44
This bug affects 9 people
Affects Status Importance Assigned to Milestone
banshee (Ubuntu)
Undecided
Unassigned

Bug Description

I can browse the Amazon MP3 store and put items into the cart, but when trying to check them out, I get an error message:

This page is blocked because it is probably not the one you are looking for!
The security certificate for https://www.amazon.de/gp/cart/view.html/ref=ox_sc_proceed is invalid.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: banshee 2.4.0-1ubuntu3
ProcVersionSignature: Ubuntu 3.2.0-23.36-generic 3.2.14
Uname: Linux 3.2.0-23-generic i686
ApportVersion: 2.0.1-0ubuntu1
Architecture: i386
Date: Thu Apr 12 23:07:17 2012
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110803.1)
SourcePackage: banshee
UpgradeStatus: Upgraded to precise on 2012-01-22 (81 days ago)

Related branches

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in banshee (Ubuntu):
status: New → Confirmed

Fresh install of i386, Amazon UK, I see the same issue.

On 13/04/2012 05:45, keith burnett wrote:
> Fresh install of i386, Amazon UK, I see the same issue.
>

  status fixcommitted

I have a patch cherry-picked. I'll upload it soon.

--
Kind regards,
Loong Jin

Changed in banshee (Ubuntu):
status: Confirmed → Fix Committed
lowsky (jpc1208) wrote :

Same issue on AMD64.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee - 2.4.0-2ubuntu1

---------------
banshee (2.4.0-2ubuntu1) precise; urgency=low

  * [980ad3d] Merge from Debian Unstable, remaining changes:
    + Enable and recommend SoundMenu and Disable NotificationArea by default
    + Disable boo and karma extensions
    + Move desktop file for Meego UI to /usr/share/une/applications
    + Change the url for the Amazon store redirector
    * [9b356d6] Add workaround for set_Height exception.
  * [57afffa] Reexport patches via gbp-pq.
    The numbering of the Ubuntu specific patches have been upset due to the new
    patches imported into the previous Debian revision.

banshee (2.4.0-2) unstable; urgency=low

  * d/patches:
    - [8119b20] Patch to fix SSL cert validation with new libsoup (LP: #980300)
    - [516bc06] Refresh patches
    - [2077d23] Cherry-pick patch to fix Upnp crash
  * d/control:
    - [002c13b] Bump Standards-Version (3.9.2 → 3.9.3)
    - [ed8f5a8] Bump mono-upnp build-dep version.
      + This is to include the related Mono.Upnp patch listed in bgo#672744.
      + Also fixes a crasher when the UPnP extension is enabled. (LP: #945566)
  * [c4f25f3] d/copyright: Switch to new copyright-format
 -- Chow Loong Jin <email address hidden> Fri, 20 Apr 2012 23:34:40 +0800

Changed in banshee (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers